org.apache.poi.ss.formula.ptg

## Class IntersectionPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperationPtg
    - - org.apache.poi.ss.formula.ptg.IntersectionPtg

- All Implemented Interfaces:
    Duplicatable

      public final class IntersectionPtg
      extends OperationPtg

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IntersectionPtg` | `instance`
    `static byte` | `sid`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg

      `TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IntersectionPtg` | `copy()`
    `int` | `getNumberOfOperands()` The number of operands expected by the operations
    `int` | `getSize()`
    `boolean` | `isBaseToken()`
    `java.lang.String` | `toFormulaString()` return a string representation of this token alone
    `java.lang.String` | `toFormulaString(java.lang.String[] operands)` returns a string representation of the operations the length of the input array should equal the number returned by
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.OperationPtg

      `getDefaultOperandClass`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final byte sid

      See Also:
        Constant Field Values

    - #### instance

          public static final IntersectionPtg instance

  - ### Method Detail

    - #### isBaseToken

          public final boolean isBaseToken()

      Specified by:
        `isBaseToken` in class `Ptg`
      Returns:
        `false` if this token is classified as 'reference', 'value', or 'array'

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `Ptg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### toFormulaString

          public java.lang.String toFormulaString()

      Description copied from class: `Ptg`
      return a string representation of this token alone
      Specified by:
        `toFormulaString` in class `Ptg`

    - #### toFormulaString

          public java.lang.String toFormulaString(java.lang.String[] operands)

      Description copied from class: `OperationPtg`
      returns a string representation of the operations the length of the input array should equal the number returned by
      Specified by:
        `toFormulaString` in class `OperationPtg`
      See Also:
        `OperationPtg.getNumberOfOperands()`

    - #### getNumberOfOperands

          public int getNumberOfOperands()

      Description copied from class: `OperationPtg`
      The number of operands expected by the operations
      Specified by:
        `getNumberOfOperands` in class `OperationPtg`

    - #### copy

          public IntersectionPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Ptg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.